Package ch.qos.logback.core.rolling.helper

# Class SizeAndTimeBasedArchiveRemover

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.rolling.helper.TimeBasedArchiveRemover
ch.qos.logback.core.rolling.helper.SizeAndTimeBasedArchiveRemover

All Implemented Interfaces:
  `ArchiveRemover`, `ContextAware`

public class SizeAndTimeBasedArchiveRemover extends TimeBasedArchiveRemover

## Nested Class Summary

## Nested classes/interfaces inherited from class ch.qos.logback.core.rolling.helper.TimeBasedArchiveRemover

`TimeBasedArchiveRemover.ArhiveRemoverRunnable`

## Field Summary

### Fields inherited from class ch.qos.logback.core.rolling.helper.TimeBasedArchiveRemover

`INACTIVITY_TOLERANCE_IN_MILLIS, UNINITIALIZED`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`SizeAndTimeBasedArchiveRemover(FileNamePattern fileNamePattern, RollingCalendar rc)`

## Method Summary

Modifier and Type
Method
Description
`protected File[]`
`getFilesInPeriod(Date dateOfPeriodToClean)`

### Methods inherited from class ch.qos.logback.core.rolling.helper.TimeBasedArchiveRemover

`clean, cleanAsynchronously, cleanPeriod, getPeriodOffsetForDeletionTarget, setMaxHistory, setTotalSizeCap, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### SizeAndTimeBasedArchiveRemover

public SizeAndTimeBasedArchiveRemover(FileNamePattern fileNamePattern, RollingCalendar rc)

## Method Details

### getFilesInPeriod

protected File[] getFilesInPeriod(Date dateOfPeriodToClean)

Overrides:
  `getFilesInPeriod` in class `TimeBasedArchiveRemover`